#VU49018 Resource management error


Published: 2020-12-15 | Updated: 2021-01-26

Vulnerability identifier: #VU49018

Vulnerability risk: Low

CVSSv3.1:

CVE-ID: CVE-2020-26976

CWE-ID: CWE-399

Exploitation vector: Network

Exploit availability: No

Vulnerable software:
Mozilla Firefox
Client/Desktop applications / Web browsers

Vendor: Mozilla

Description

The vulnerability allows a remote attacker to gain access to sensitive information.

The vulnerability exists due to improper management of internal resources within the application, when processing embedded elements with https/http protocols. When a HTTPS pages was embedded in a HTTP page, and there was a service worker registered for the former, the service worker could have intercepted the request for the secure page despite the iframe not being a secure context due to the (insecure) framing.

Mitigation
Install updates from vendor's website.

Vulnerable software versions

Mozilla Firefox: 60.0 - 83.0


CPE

External links
http://www.mozilla.org/en-US/security/advisories/mfsa2020-54/


Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?


Latest bulletins with this vulnerability